
Ruby - Bug #6332

Error compiling readline due username_completion_function being undeclared (GCC 4.6)

04/21/2012 01:05 AM - luislavena (Luis Lavena)

Status: Closed   

Priority: Normal   

Assignee: kouji (Kouji Takao)   

Target version:    

ruby -v: 2.0.0 r35415 Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

Hello,

Attempting to compile trunk (r35415) against GCC 4.6 (4.6.3, OSX 10.6, MacPorts provided) generates the following failure:

/Users/luis/projects/oss/ruby/build/ext/readline

compiling ../../../ext/readline/readline.c

../../../ext/readline/readline.c: In function 'username_completion_proc_call':

../../../ext/readline/readline.c:1501:9: error: 'username_completion_function' undeclared (first u

se in this function)

../../../ext/readline/readline.c:1501:9: note: each undeclared identifier is reported only once fo

r each function it appears in

make[2]: *** [readline.o] Error 1

make[1]: *** [ext/readline/all] Error 2

make: *** [build-ext] Error 2

 Readline installed is Readline 6.2 via MacPorts:

$ port installed | grep readline

readline @6.2.000_0 (active)

History

#1 - 04/21/2012 01:07 AM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

#2 - 02/01/2013 02:44 PM - shugo (Shugo Maeda)

- Status changed from Assigned to Feedback

luislavena (Luis Lavena) wrote:

Attempting to compile trunk (r35415) against GCC 4.6 (4.6.3, OSX 10.6, MacPorts provided) generates the following failure:

 Could you attach ext/readline/{mkmf.log,extconf.h}?

#3 - 02/18/2013 09:34 PM - mame (Yusuke Endoh)

- Status changed from Feedback to Rejected

- Target version changed from 2.0.0 to 2.6

No feedback.

--

Yusuke Endoh mame@tsg.ne.jp

#4 - 02/18/2013 09:34 PM - mame (Yusuke Endoh)

- Status changed from Rejected to Assigned

Oops sorry. I didn't intend to close this ticket.
--

Yusuke Endoh mame@tsg.ne.jp

#5 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

#6 - 08/14/2019 11:55 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Assigned to Closed
